DROP USER()

NAME
DROP USER - remove a database user account

SYNOPSIS

DROP USER name

DESCRIPTION

DROP USER removes the specified user. It does not remove tables, views, or other objects owned by the user. If the user owns any database, an error is raised.

PARAMETERS

name
    The name of the user to remove.

NOTES

PostgreSQL includes a program dropuser [dropuser(1)] that has the same functionality as this command (in fact, it calls this command) but can be run from the command shell.

To drop a user who owns a database, first drop the database or change its ownership.

It is unwise to drop a user who either owns any database objects or has any granted permissions on objects. Currently, this is only enforced for the case of owners of databases, but it is likely that future versions of PostgreSQL will check other cases.

EXAMPLES

To drop a user account:

DROP USER jonathan;

COMPATIBILITY

The DROP USER statement is a PostgreSQL extension. The SQL standard leaves the definition of users to the implementation.

SEE ALSO
ALTER USER [alter_user(7)], CREATE USER [create_user(l)]